Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython3.LaunchAction Class Reference
Inheritance diagram for FoxitPDFSDKPython3.LaunchAction:

## Public Member Functions
def | LaunchAction (action)
| Constructor, with parent class object. More...
def | GetFileSpec ()
| Get the file specification which specifies the application to be launched or the document to be opened or printed. More...
def | GetNewWindowFlag ()
| Get the flag which is used to decide whether to open the destination document in a new window or not. More...
def | GetWinAppOperation ()
| (Windows-specific launch parameters) Get the operation name. More...
def | GetWinAppParameter ()
| (Windows-specific launch parameters) Get parameter string to be passed to the specified application. More...
def | GetWinDefaultDirectory ()
| (Windows-specific launch parameters) Get the default directory in standard DOS syntax. More...
def | GetWinFileName ()
| (Windows-specific launch parameters) Get the file name of the application to be launched or the document to be opened or printed. More...
def | SetFileSpec (file_specification)
| Set a file specification which specifies an application to be launched or a document to be opened or printed. More...
def | SetNewWindowFlag (flag)
| Set the flag which is used to decide whether to open the destination document in a new window or not. More...
def | SetWinLaunchParameter (file_name, default_directory, operation, app_parameter)
| (Windows-specific launch parameters)Set Windows-specific launch parameters. More...
Public Member Functions inherited from FoxitPDFSDKPython3.Action
def | Action (action)
| Constructor, with another action object. More...
def | GetDict ()
| Get PDF dictionary of current object. More...
def | GetDocument ()
| Get the PDF document, to which current action belongs. More...
def | GetSubAction (index)
| Get a sub-action by index. More...
def | GetSubActionCount ()
| Get the count of sub-actions. More...
def | GetType ()
| Get action type. More...
def | InsertSubAction (index, sub_action)
| Insert a new sub-action to the location specified by index. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | RemoveAllSubActions ()
| Remove all the sub-actions. More...
def | RemoveSubAction (index)
| Remove a sub-action, specified by index. More...
def | SetSubAction (index, sub_action)
| Set a sub-action by index. More...

## Additional Inherited Members
Static Public Member Functions inherited from FoxitPDFSDKPython3.Action
def | Create (document, action_type)
| Create a new action, for specified action type. More...
Static Public Attributes inherited from FoxitPDFSDKPython3.Action
| e_NewWindowFlagFalse = _fsdk.Action_e_NewWindowFlagFalse
| "NewWindow" flag is false.
| e_NewWindowFlagNone = _fsdk.Action_e_NewWindowFlagNone
| No "NewWindow" flag.
| e_NewWindowFlagTrue = _fsdk.Action_e_NewWindowFlagTrue
| "NewWindow" flag is true.
| e_TypeGoto = _fsdk.Action_e_TypeGoto
| Action type: go-to action.
| e_TypeGoTo3DView = _fsdk.Action_e_TypeGoTo3DView
| Action type: go-to-3D-view action.
| e_TypeGoToE = _fsdk.Action_e_TypeGoToE
| Action type: embedded go-to action.
| e_TypeGoToR = _fsdk.Action_e_TypeGoToR
| Action type: remote go-to action.
| e_TypeHide = _fsdk.Action_e_TypeHide
| Action type: hide action.
| e_TypeImportData = _fsdk.Action_e_TypeImportData
| Action type: import-data action.
| e_TypeJavaScript = _fsdk.Action_e_TypeJavaScript
| Action type: JavaScript action.
| e_TypeLaunch = _fsdk.Action_e_TypeLaunch
| Action type: launch action.
| e_TypeMovie = _fsdk.Action_e_TypeMovie
| Action type: movie action.
| e_TypeNamed = _fsdk.Action_e_TypeNamed
| Action type: named action.
| e_TypeRendition = _fsdk.Action_e_TypeRendition
| Action type: rendition action.
| e_TypeResetForm = _fsdk.Action_e_TypeResetForm
| Action type: reset-form action.
| e_TypeSetOCGState = _fsdk.Action_e_TypeSetOCGState
| Action type: set-OCG-state action.
| e_TypeSound = _fsdk.Action_e_TypeSound
| Action type: sound action.
| e_TypeSubmitForm = _fsdk.Action_e_TypeSubmitForm
| Action type: submit-form action.
| e_TypeThread = _fsdk.Action_e_TypeThread
| Action type: thread action.
| e_TypeTrans = _fsdk.Action_e_TypeTrans
| Action type: transition action.
| e_TypeUnknown = _fsdk.Action_e_TypeUnknown
| Action type: unknown action.
| e_TypeURI = _fsdk.Action_e_TypeURI
| Action type: uniform resource identifier (URI) action.

## Detailed Description

Launch action is to launch an application, usually to open a file. Class FoxitPDFSDKPython3.LaunchAction is derived from Action and offers functions to get/set launch action data.

See also
  Action

## Constructor & Destructor Documentation

## ◆ LaunchAction()

def FoxitPDFSDKPython3.LaunchAction.LaunchAction | ( |  | action | ) |

Constructor, with parent class object.

Parameters

  [in] | action | Parent class object.

## Member Function Documentation

## ◆ GetFileSpec()

def FoxitPDFSDKPython3.LaunchAction.GetFileSpec | ( |  | ) |

Get the file specification which specifies the application to be launched or the document to be opened or printed.

Returns
  A file specification object. If the return value of function FoxitPDFSDKPython3.FileSpec.IsEmpty for the returned file specification object is true, that means no such property is found.

## ◆ GetNewWindowFlag()

def FoxitPDFSDKPython3.LaunchAction.GetNewWindowFlag | ( |  | ) |

Get the flag which is used to decide whether to open the destination document in a new window or not.

Returns
  The new windows flag. It would be one of following values:
  - FoxitPDFSDKPython3.Action.e_NewWindowFlagTrue means to open the destination document in a new window.
  - FoxitPDFSDKPython3.Action.e_NewWindowFlagFalse means that the destination document replaces current document in the same window.
  - FoxitPDFSDKPython3.Action.e_NewWindowFlagNone means that no such flag and the viewer application should behave in accordance with the current user preference.

## ◆ GetWinAppOperation()

def FoxitPDFSDKPython3.LaunchAction.GetWinAppOperation | ( |  | ) |

(Windows-specific launch parameters) Get the operation name.

Standard strings for operation name are:

- "open": Open a document.
- "print": Print a document

If the file name of Windows-specific launch parameters represents an application, the operation name would be useless for current action.

Returns
  Operation name.

## ◆ GetWinAppParameter()

def FoxitPDFSDKPython3.LaunchAction.GetWinAppParameter | ( |  | ) |

(Windows-specific launch parameters) Get parameter string to be passed to the specified application.

If the file name of Windows-specific launch parameters represents a document, app parameter string will be ignored.

Returns
  Parameter string.

## ◆ GetWinDefaultDirectory()

def FoxitPDFSDKPython3.LaunchAction.GetWinDefaultDirectory | ( |  | ) |

(Windows-specific launch parameters) Get the default directory in standard DOS syntax.

Returns
  Default directory.

## ◆ GetWinFileName()

def FoxitPDFSDKPython3.LaunchAction.GetWinFileName | ( |  | ) |

(Windows-specific launch parameters) Get the file name of the application to be launched or the document to be opened or printed.

Returns
  File name.

## ◆ SetFileSpec()

def FoxitPDFSDKPython3.LaunchAction.SetFileSpec | ( |  | file_specification | ) |

Set a file specification which specifies an application to be launched or a document to be opened or printed.

Parameters

  [in] | file_specification | A valid file specification object. This object should be in the same document with current action object.

Returns
  None.

## ◆ SetNewWindowFlag()

def FoxitPDFSDKPython3.LaunchAction.SetNewWindowFlag | ( |  | flag | ) |

Set the flag which is used to decide whether to open the destination document in a new window or not.

Parameters

  [in] | flag | The new window flag. It should be one of following values: FoxitPDFSDKPython3.Action.e_NewWindowFlagTrue means to open the destination document in a new window. FoxitPDFSDKPython3.Action.e_NewWindowFlagFalse means that the destination document replaces current document in the same window. FoxitPDFSDKPython3.Action.e_NewWindowFlagNone means that no such flag and the viewer application should behave in accordance with the current user preference.

Returns
  None.

## ◆ SetWinLaunchParameter()

def FoxitPDFSDKPython3.LaunchAction.SetWinLaunchParameter | ( |  | file_name,
|  |  | default_directory,
|  |  | operation,
|  |  | app_parameter
| ) |  |

(Windows-specific launch parameters)Set Windows-specific launch parameters.

This function is used to set Windows-specific launch parameters. Parameter file_name is necessary and can represent either an application or a document. When parameter file_name represents an application, parameters operation and app_parameter are useless.

Parameters

  [in] | file_name | The file name of the application to be launched or the document to be opened or printed. It should not be an empty string.
  [in] | default_directory | Default directory in standard DOS syntax.
  [in] | operation | Operation name. This can be an empty string. If this is not an empty string, it should be one of following strings: "open": Open a document. "print": Print a document
  [in] | app_parameter | Parameter string to be passed to the specified application.

Returns
  None.